
Foreman - Feature #2378

Use Minitest for Ruby 1.8 and 1.9

04/07/2013 03:39 AM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Tests   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Minitest is an updated version of Test::Unit that comes with Ruby 1.9

added gems make it make with Ruby 1.8

Minor syntax changes to tests.  Most of back-compatible with Test::Unit syntax

Associated revisions

Revision 0fe147c7 - 04/30/2013 11:31 AM - Joseph Magen

fixes #2378 - added Minitest and other code cleanups

History

#1 - 04/30/2013 11:32 AM - Dominic Cleal

- Category set to Tests

- Status changed from New to Ready For Testing

- Target version set to 1.2.0

https://github.com/theforeman/foreman/pull/509

#2 - 04/30/2013 01:20 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0fe147c7cb5fbf97ec54c87a41e62c88f6be7728.
